
/**
* This script will turn on Reduce Interlace Flicker for all events on the selected track
* Original Code for adding markers to all events Written By: Edward Troxel
* www.jetdv.com/tts
* 04/02/2003
* Modified By: Rich Shetina
* rshetina@shetina.com
* 06/23/2003 
**/

import System;
import System.IO;
import System.Windows.Forms;
import Sony.Vegas;


try {
var zeroMark : Timecode = new Timecode(0);
var myMarker : Marker;

//Find the selected event
var track = FindSelectedTrack();
if (null == track)
throw "no selected track";

var eventEnum = new Enumerator(track.Events);
while (!eventEnum.atEnd()) {
var evnt : VideoEvent = VideoEvent(eventEnum.item());

// Set Reduce Interlace Flicker
evnt.ReduceInterlace = true;

eventEnum.moveNext();
}

MessageBox.Show("Done!");

} catch (e) {
MessageBox.Show(e);
}


function FindSelectedTrack() : Track {
var trackEnum = new Enumerator(Vegas.Project.Tracks);
while (!trackEnum.atEnd()) {
var track : Track = Track(trackEnum.item());
if (track.Selected) {
return track;
}
trackEnum.moveNext();
}
return null;
}

/** END **/
