/** 
* Program: RemoveNotActiveTakes.js
* Description: This script will all the takes that's not active.
* Author: Philip
* 
* Date: Oct 30, 2003 
**/ 

import Sony.Vegas; 
import System.Windows.Forms;
import Microsoft.Win32;

try
{
// step through all video events:
for (var track in Vegas.Project.Tracks) {
for (var evnt in track.Events) {
for (var take in evnt.Takes){
if (!take.IsActive)evnt.Takes.Remove(take);
}

}
}

}
catch (errorMsg)
{
MessageBox.Show(errorMsg, "Error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
}
