/** 
* Program: SplitEvents.js
* Description: This script will split selected event into pieces for specified seconds
* Author: Philip
* 
* Date: August 24, 2003 
**/ 

import Sony.Vegas; 
import System.Windows.Forms;
import Microsoft.Win32;

//time intervals for split events.

var Interval = "00:10:00";


try
{

var IncTime : Timecode = new Timecode(Interval);

// step through all selected video events:
for (var track in Vegas.Project.Tracks) {
for (var evnt in track.Events) {
if (!evnt.Selected || evnt.MediaType != MediaType.Video) continue;

evnt.Split(IncTime);


}
}

}

catch (errorMsg)
{
MessageBox.Show(errorMsg, "Error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
}
