import Sony.Vegas;

var selectionStart : Timecode = Vegas.SelectionStart;
var selectionEnd : Timecode = Vegas.SelectionStart + Vegas.SelectionLength;

for (var currentTrack : Track in Vegas.Project.Tracks)
{
	for (var currentEvent : TrackEvent in currentTrack.Events)
	{
		if ((currentEvent.Start + currentEvent.Length) >= selectionStart && currentEvent.Start <= selectionEnd)
		{
			currentEvent.Selected = true;
		}
	}
}